'use strict';

// Fake 'now' date time for testing
const fakeNow = null;

// Test transitions
// const fakeNow = Date.parse("2024-10-31T19:05:00");


const fakeTimeDelta = fakeNow === null ? 0 : fakeNow - Date.now();


// Real 'now' date time for production
const nowJS = () => Date.now() + fakeTimeDelta;

// Real 'now' date time for production as luxon DateTime object
const now = () => luxon.DateTime.fromMillis(nowJS());


export {
    now
}
